%  function  mainmenu.m % -----------------------------------------
% функция для выбора пунктов главного меню программы
% возвращает в key  - число 1-4 выбранный пользователем пункт 
function key = mainmenu()
    key = 0; 
    % вывод в консоль информации о программе 
    disp('Программа trapzint предназначена для вычисления');
    disp('интеграла по таблично заданной функции');
    fprintf(1, '\n');
    disp('Меню'); % вывод пунктов меню 
    disp('1 Демонстрация работы программы');
    disp('2 Расчет интеграла по таблично заданной функции');
    disp('3 Информация о программе');
    disp('4 Завершение работы программы');
    try
           % ввод пользователя в переменную keystr
           keystr = input('Выберите один из пунктов меню (цифры 1-4):','s');
           key =  str2double(keystr); % форматирование ввода в число
           assert((key < 5) && (key > 0)); % проверка на ошибки
      
    catch % если ошибка
        % вывод в консоль сообщения об ошибке 
        display('Ошибка ввода, допустимые цифры 1-4');
        input('Для продолжения нажмите Enter...','s');
        fprintf(1, '\n');
    end
      
 end
%   end function  mainmenu.m ----------------------------------------